# Uses of Interface
org.gitana.platform.client.project.Project

Packages that use Project
Package
Description
org.gitana.platform.client.platform
org.gitana.platform.client.project
org.gitana.platform.client.support

## Uses of Project in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform that return Project
Modifier and Type
Method
Description
`Project`
Platform.`createProject()`
`Project`
Platform.`createProject(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Project`
PlatformImpl.`createProject()`
`Project`
PlatformImpl.`createProject(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Project`
Platform.`readProject(String projectId)`
`Project`
PlatformImpl.`readProject(String projectId)`
Methods in org.gitana.platform.client.platform that return types with arguments of type Project
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Project>`
Platform.`listProjects()`
`org.gitana.platform.support.ResultMap<Project>`
Platform.`listProjects(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Project>`
PlatformImpl.`listProjects()`
`org.gitana.platform.support.ResultMap<Project>`
PlatformImpl.`listProjects(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Project>`
Platform.`queryProjects(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Project>`
Platform.`queryProjects(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Project>`
PlatformImpl.`queryProjects(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Project>`
PlatformImpl.`queryProjects(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
Methods in org.gitana.platform.client.platform with parameters of type Project
Modifier and Type
Method
Description
`void`
Platform.`deleteProject(Project project)`
`void`
PlatformImpl.`deleteProject(Project project)`
`void`
Platform.`updateProject(Project project)`
`void`
PlatformImpl.`updateProject(Project project)`

## Uses of Project in org.gitana.platform.client.project

Classes in org.gitana.platform.client.project that implement Project
Modifier and Type
Class
Description
`class`
`ProjectImpl`

## Uses of Project in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Project
Modifier and Type
Method
Description
`Project`
ObjectFactory.`project(Platform platform, Response response)`
`Project`
ObjectFactoryImpl.`project(Platform platform, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type Project
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Project>`
ObjectFactory.`projects(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Project>`
ObjectFactoryImpl.`projects(Platform platform, Response response)`